Bug 60078 - IMCSCH and IMSECH wrongly calculated
Summary: IMCSCH and IMSECH wrongly calculated
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.0.4 release
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:4.1.0 target:4.0.1 target:3.6.6
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-30 16:18 UTC by Eike Rathke
Modified: 2013-02-05 12:39 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eike Rathke 2013-01-30 16:18:33 UTC
IMCSCH(z) should be equivalent to IMDIV(1;IMSINH(z)) and IMSECH(z) to IMDIV(1;IMCOSH(z)). However, we have

=IMCSCH("4+3i")          => -1.98126088062431-0.282421953026095i
=IMDIV(1,IMSINH("4+3i")) => -0.0362758896286261-0.00517447318401941i

=IMSECH("4+3i")          => -1.97871030322975-0.2820582499879i
=IMDIV(1,IMCOSH("4+3i")) => -0.0362534969158689-0.00516434460775319i
Comment 1 Not Assigned 2013-01-30 16:39:45 UTC
Regina Henschel committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b884c2e0185e24fc498827b3a53becea9e646b85

resolved fdo#60078 correctly calculate IMCSCH and IMSECH



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Eike Rathke 2013-01-30 16:42:38 UTC
Patch pending review for 4-0 as https://gerrit.libreoffice.org/1926
and for 3-6 as https://gerrit.libreoffice.org/1927
Comment 3 Not Assigned 2013-01-31 20:36:39 UTC
Regina Henschel committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d078ae7a5642d5dbc823a79384e8fa56cf94f8e2&h=libreoffice-4-0

resolved fdo#60078 correctly calculate IMCSCH and IMSECH


It will be available in LibreOffice 4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Not Assigned 2013-02-02 13:28:46 UTC
Regina Henschel committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=71becb50e4f24b958ac081d3f513a65f802ce00e&h=libreoffice-3-6

resolved fdo#60078 correctly calculate IMCSCH and IMSECH


It will be available in LibreOffice 3.6.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.